Bug 699421 - ssh requests ipv6 addresses even with ipv6 disabled
ssh requests ipv6 addresses even with ipv6 disabled
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openssh (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan F. Chadima
Fedora Extras Quality Assurance
: EasyFix, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 11:19 EDT by Orion Poplawski
Modified: 2011-04-30 23:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: openssh-5.6p1-31.fc15.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-30 23:23:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2011-04-25 11:19:27 EDT
Description of problem:

I have a DSL router that fails to respond to AAAA records properly:

  3.853196 192.168.100.67 -> 192.168.100.1 DNS Standard query A pkgs.fedoraproject.org
  3.853344 192.168.100.67 -> 192.168.100.1 DNS Standard query AAAA pkgs.fedoraproject.org
  3.897350 192.168.100.1 -> 192.168.100.67 DNS Standard query response A 209.132.181.4
  3.903481 192.168.100.1 -> 192.168.100.67 DNS Standard query response

This results in:

ssh: Could not resolve hostname pkgs.fedoraproject.org: Name or service not known

This is the case even with ipv6 completely disabled.  Work around is to run "ssh -4 hostname".  Other programs like firefox and thunderbird work with ipv6 disabled.

Version-Release number of selected component (if applicable):
openssh-5.6p1-30.fc15.i686

See also bug 697149.
Comment 1 Orion Poplawski 2011-04-25 13:08:20 EDT
This should fix:

--- openssh-5.6p1/sshconnect.c.getaddrinfo      2011-04-25 11:02:00.622740776 -0600
+++ openssh-5.6p1/sshconnect.c  2011-04-25 11:06:39.505254267 -0600
@@ -343,6 +343,7 @@
        memset(&hints, 0, sizeof(hints));
        hints.ai_family = family;
        hints.ai_socktype = SOCK_STREAM;
+       hints.ai_flags = AI_V4MAPPED | AI_ADDRCONFIG;
        snprintf(strport, sizeof strport, "%u", port);
        if ((gaierr = getaddrinfo(host, strport, &hints, &aitop)) != 0)
                fatal("%s: Could not resolve hostname %.100s: %s", __progname,
Comment 2 Orion Poplawski 2011-04-27 11:38:24 EDT
I see this has been fixed in rawhide, will we see it fixed in F15 soon?  Thanks!
Comment 3 Jan F. Chadima 2011-04-28 01:52:20 EDT
please test it and report. I do not put it into f15 before positive feedback.
If you have no way how to test it in rawhide I prepare testing package for you.
Comment 4 Orion Poplawski 2011-04-28 22:59:34 EDT
Works perfectly.  Thanks.
Comment 5 Fedora Update System 2011-04-29 03:25:57 EDT
openssh-5.6p1-31.fc15.1 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/openssh-5.6p1-31.fc15.1
Comment 6 Fedora Update System 2011-04-29 20:47:29 EDT
Package openssh-5.6p1-31.fc15.1:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openssh-5.6p1-31.fc15.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openssh-5.6p1-31.fc15.1
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-04-30 23:23:48 EDT
openssh-5.6p1-31.fc15.1 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.